summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xranger/data/scope.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index 7051b7da..6b89049a 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -45,8 +45,7 @@ case "$extension" in
 		exit 1;;
 	rar)
 		unrar -p- lt "$path" | head -n $maxln
-		success && exit 0;
-		exit 1;;
+		success && exit 0 || exit 1;;
 	# PDF documents:
 	pdf)
 		pdftotext -l 10 -nopgbrk -q "$path" - | head -n $maxln | fmt -s -w $width